# GrudgeTag | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class GrudgeTag

Tag associated with the move Grudge. If this tag is active when the bearer faints from an opponent's move, the tag reduces that move's PP to 0. Otherwise, it lapses when the bearer makes another move.

#### Hierarchy (View Summary)

- BattlerTag
  - GrudgeTag

- Defined in src/data/battler-tags.ts:3354

##### Index

### Constructors

constructor

### Properties

isBatonPassable
lapseTypes
sourceId?
sourceMove
tagType
turnCount

### Methods

canAdd
getDescriptor
getMoveName
getSourcePokemon
isSourceLinked
lapse
loadTag
onAdd
onOverlap
onRemove

## Constructors

### constructor

- new GrudgeTag(): GrudgeTag

  #### Returns GrudgeTag

  Overrides BattlerTag.constructor

  - Defined in src/data/battler-tags.ts:3355

## Properties

### isBatonPassable

isBatonPassable: boolean

Inherited from BattlerTag.isBatonPassable

- Defined in src/data/battler-tags.ts:65

### lapseTypes

lapseTypes: BattlerTagLapseType []

Inherited from BattlerTag.lapseTypes

- Defined in src/data/battler-tags.ts:61

### `Optional` sourceId

sourceId?: number

Inherited from BattlerTag.sourceId

- Defined in src/data/battler-tags.ts:64

### sourceMove

sourceMove: Moves

Inherited from BattlerTag.sourceMove

- Defined in src/data/battler-tags.ts:63

### tagType

tagType: BattlerTagType

Inherited from BattlerTag.tagType

- Defined in src/data/battler-tags.ts:60

### turnCount

turnCount: number

Inherited from BattlerTag.turnCount

- Defined in src/data/battler-tags.ts:62

## Methods

### canAdd

- canAdd(_pokemon: default ): boolean

  #### Parameters

  - _pokemon: default

  #### Returns boolean

  Inherited from BattlerTag.canAdd

  - Defined in src/data/battler-tags.ts:83

### getDescriptor

- getDescriptor(): string

  #### Returns string

  Inherited from BattlerTag.getDescriptor

  - Defined in src/data/battler-tags.ts:97

### getMoveName

- getMoveName(): null | string

  #### Returns null | string

  Inherited from BattlerTag.getMoveName

  - Defined in src/data/battler-tags.ts:105

### getSourcePokemon

- getSourcePokemon(): null | default

  Helper function that retrieves the source Pokemon object

  #### Returns null | default

  The source `Pokemon` or `null` if none is found

  Inherited from BattlerTag.getSourcePokemon

  - Defined in src/data/battler-tags.ts:124

### isSourceLinked

- isSourceLinked(): boolean

  #### Returns boolean

  Inherited from BattlerTag.isSourceLinked

  - Defined in src/data/battler-tags.ts:101

### lapse

- lapse(
  pokemon: default ,
  lapseType: BattlerTagLapseType ,
  sourcePokemon?: default ,
  ): boolean

  Activates Grudge's special effect on the attacking Pokemon and lapses the tag.

  #### Parameters

  - pokemon: default
  - lapseType: BattlerTagLapseType
  - `Optional` sourcePokemon: default

    `Pokemon` the source of the move that fainted the tag's bearer

  #### Returns boolean

  `false` if Grudge activates its effect or lapses

  Overrides BattlerTag.lapse

  - Defined in src/data/battler-tags.ts:3375

### loadTag

- loadTag(source: any): void

  When given a battler tag or json representing one, load the data for it. This is meant to be inherited from by any battler tag with custom attributes

  #### Parameters

  - source: any

    A battler tag

  #### Returns void

  Inherited from BattlerTag.loadTag

  - Defined in src/data/battler-tags.ts:114

### onAdd

- onAdd(pokemon: default ): void

  #### Parameters

  - pokemon: default

  #### Returns void

  Overrides BattlerTag.onAdd

  - Defined in src/data/battler-tags.ts:3359

### onOverlap

- onOverlap(_pokemon: default ): void

  #### Parameters

  - _pokemon: default

  #### Returns void

  Inherited from BattlerTag.onOverlap

  - Defined in src/data/battler-tags.ts:91

### onRemove

- onRemove(_pokemon: default ): void

  #### Parameters

  - _pokemon: default

  #### Returns void

  Inherited from BattlerTag.onRemove

  - Defined in src/data/battler-tags.ts:89